import { B as a, G as n, o as i, y as s, C as c } from "./index-597e6e44.mjs";
import "vue";
const r = a("el-collapse", {}, (t, { config: e }) => {
  t["#"] = p(e);
});
function p(t) {
  const e = [];
  let l = 0;
  for (const o of t._container || [])
    e.push(d(o, l++));
  return e;
}
function d(t, e) {
  const l = n("el-collapse-item", { config: t });
  return l.name = "" + e, l;
}
const f = {
  key: "_collapse",
  name: i("_.builtIn.element.collapse.name"),
  description: "",
  icon: "mdiArrowCollapseVertical",
  sequence: 23,
  transform: r,
  editor: {
    basic: {
      ui: [
        //If accordion is true,the modelValue is a String
        //So far only one data type is supported
        // {
        //   '~component': 'el-switch',
        //   '~label': 'Accordion',
        //   '~prop': 'accordion'
        // },
        {
          "~component": "lc-editable-list",
          "~label": i("_.builtIn.element.collapse.items"),
          "~prop": "_container",
          labelColumn: "title",
          editConfig: [s("title"), c("disabled")]
        }
      ],
      init: {
        accordion: !1,
        _container: [
          {
            title: "Collapse 1"
          },
          {
            title: "Collapse 2"
          },
          {
            title: "Collapse 3"
          }
        ]
      }
    },
    data: {
      // modelValueName:'model',
      //readonly:true,
      type: "Array"
    },
    display: {
      init: {
        style: {
          display: "block",
          width: "100%",
          margin: "4px 0 4px 0"
        }
      }
    }
  }
};
export {
  f as default
};
